tbb::concurrent_vector< T, A >::push_back_helper::element_construction_guard Struct Reference

`#include <concurrent_vector.h>`

Inheritance diagram for tbb::concurrent_vector< T, A >::push_back_helper::element_construction_guard:
Collaboration diagram for tbb::concurrent_vector< T, A >::push_back_helper::element_construction_guard:

## Public Member Functions

| element_construction_guard (pointer an_element)
void | dismiss ()
| ~element_construction_guard ()
Public Member Functions inherited from tbb::internal::no_copy
| no_copy (const no_copy &)=delete
| no_copy ()=default

## Public Attributes

pointer | element

## Detailed Description

### template<typename T, class A>
struct tbb::concurrent_vector< T, A >::push_back_helper::element_construction_guard

Definition at line 1139 of file concurrent_vector.h.

## Constructor & Destructor Documentation

## element_construction_guard()

template<typename T , class A >

tbb::concurrent_vector< T, A >::push_back_helper::element_construction_guard::element_construction_guard | ( | pointer | an_element | ) |

inline

Definition at line 1142 of file concurrent_vector.h.

: element (an_element){}
tbb::concurrent_vector::push_back_helper::element_construction_guard::element
pointer element
Definition: concurrent_vector.h:1140

## ~element_construction_guard()

template<typename T , class A >

tbb::concurrent_vector< T, A >::push_back_helper::element_construction_guard::~element_construction_guard | ( |  | ) |

inline

Definition at line 1144 of file concurrent_vector.h.

{
if (element){
internal::handle_unconstructed_elements(element, 1);
}
}
tbb::internal::handle_unconstructed_elements
void handle_unconstructed_elements(T *array, size_t n_of_elements)
Exception helper function.
Definition: concurrent_vector.h:77

References tbb::concurrent_vector< T, A >::push_back_helper::element_construction_guard::element, and tbb::internal::handle_unconstructed_elements().

Here is the call graph for this function:

## Member Function Documentation

## dismiss()

template<typename T , class A >

void tbb::concurrent_vector< T, A >::push_back_helper::element_construction_guard::dismiss | ( |  | ) |

inline

Definition at line 1143 of file concurrent_vector.h.

{ element = NULL; }

References tbb::concurrent_vector< T, A >::push_back_helper::element_construction_guard::element.

Referenced by tbb::concurrent_vector< T, A >::push_back_helper::return_iterator_and_dismiss().

Here is the caller graph for this function:

## Member Data Documentation

## element

template<typename T , class A >

pointer tbb::concurrent_vector< T, A >::push_back_helper::element_construction_guard::element

Definition at line 1140 of file concurrent_vector.h.

Referenced by tbb::concurrent_vector< T, A >::push_back_helper::element_construction_guard::dismiss(), tbb::concurrent_vector< T, A >::push_back_helper::internal_push_back_result(), tbb::concurrent_vector< T, A >::push_back_helper::return_iterator_and_dismiss(), and tbb::concurrent_vector< T, A >::push_back_helper::element_construction_guard::~element_construction_guard().

The documentation for this struct was generated from the following file:

- concurrent_vector.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.